---
title: "tokens"
slug: "tokens"
updated: 2025-02-26T12:16:53Z
published: 2026-01-22T13:05:41Z
canonical: "api-docs.blinkpayment.co.uk/tokens"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.blinkpayment.co.uk/llms.txt
> Use this file to discover all available pages before exploring further.
# tokens
Post/api/pay/v1/tokens
To authenticate requests, the Blink API uses an `api_key` and `secret_key` combination, which is used to obtain an `access_token` for your session.
HTTP Basic Auth is used for authentication. The `access_token` should be used via bearer in the header to authenticate all requests, e.g. Authorization: Bearer `access_token`.
This endpoint is used to generate access tokens for authentication and authorisation purposes.
Body parametersobject Example{
"api_key": "eff458c623bba928a1a211521a7e38433bdf68780d0d8a16e2502f43cca322bc",
"secret_key": "6310e48bdd0e4381459a62b46d2c4fd6e8ab65a2a4d5205c6c3ddebfbbaebbf8",
"send_blink_receipt": true,
"address_postcode_required": true,
"enable_moto_payments": true,
"application_name": "Blink API DOC Demo",
"application_description": "Live Demo examples from Blink Payment Doc site - Take payments through, card, open banking and direct debits.",
"source_site": "api-docs.blinkpayment.co.uk"
}
## Request Body
- `api_key` (string, required): The API key for authentication, 256 alpha numeric, obtained through the Blink platform.
- `secret_key` (string, required): The secret key for authentication, 256 alpha numeric, obtained through the Blink platform.
- `send_blink_receipt` (boolean): Defaulted to false. To enable the Blink receipt feature, value should be set to true.
- `address_postcode_required` (boolean): Defaulted to false. To fetch the address and postcode details of a user, value should be set to true.
- `enable_moto_payments` (boolean): Defaulted to false. To enable MOTO payment feature for any transaction, value should be set to true.
- `application_name` (string, optional): The name of your application.
- `application_description` (string, optional): Description of how your application interacts with blink.
- `source_site` (string, optional): The site your application is hosted on.
## Response Parameters
- `access_token` (string): The generated access token for authentication and authorization purposes.
- `expired_on` (string): The time when the token expires.
- `payment_types` (array): The Payment types available on the Blink account.
- `currencies` (array): The currencies available on the Blink account.
Responses201
Created
HeadersDatestringExampleTue, 30 Jul 2024 13:51:58 GMT
Content-TypestringExampleapplication/json
Transfer-EncodingstringExamplechunked
ConnectionstringExamplekeep-alive
ServerstringExampleApache/2.4.59 (Amazon Linux) OpenSSL/3.0.8
Cache-ControlstringExampleno-cache, private
X-RateLimit-LimitintegerExample60
X-RateLimit-RemainingintegerExample59
Strict-Transport-SecuritystringExamplemax-age=63072000
```json
{
"access_token": "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJtZXJjaGFudF9pZCI6NDM5OCwic2VjcmV0X2tleSI6IjYzMTBlNDhiZGQwZTQzODE0NTlhNjJiNDZkMmM0ZmQ2ZThhYjY1YTJhNGQ1MjA1YzZjM2RkZWJmYmJhZWJiZjgiLCJleHAiOjE3MjIzNDkzMTh9.38L2OuCOD9rnmvTU2r3n0wAkF1tHp3GskaVCm7M5RYM",
"expired_on": "2024-07-30T14:21:58Z",
"payment_types": [
"credit-card",
"direct-debit",
"open-banking"
],
"currencies": [
"GBP"
],
"payment_api_status": true,
"send_blink_receipt": true,
"enable_moto_payments": true,
"address_postcode_required": true
}
```
object